package org.jeecg.modules.dataVue.service;

import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.modules.dataVue.entity.Mock;
import jtznyj.engineer.vo.LtdRecord;
import org.jeecg.modules.warning.entity.Ltd;
import org.springframework.jdbc.core.JdbcTemplate;

import java.util.List;
import java.util.Map;

public interface ILtdSourceService  extends IService<Mock>  {
    JdbcTemplate getJdbc();

    List<Map<String, Object>> querySql(String sqlStr, String reserve);

    List<LtdRecord> queryLtdRecordList(String sqlStr, String reserve);

    List<Map<String, Object>> querySqlCache(String sqlStr, String reserve);

    int querySqlCount(String sqlStr, String reserve);

    List<Ltd> selectList(Map<String,Object> map);
    List<Ltd> selectYData(Map<String,Object> map);
    Ltd selectDate(Map<String,Object> map);
    List<Map<String,Object>> selectAllDate(Map<String,Object> map);
    List<Ltd> selectJwssList(String jh,String type);
}

